USB_GADGET_UNR(9)

NAME
usb_gadget_unregister_driver - unregister a gadget driver

SYNOPSIS

int usb_gadget_unregister_driver (struct usb_gadget_driver * driver);

ARGUMENTS

driver
    the driver being unregistered

DESCRIPTION

Call this in your gadget driver's module cleanup function, to tell the underlying usb controller that your driver is going away. If the controller is connected to a USB host, it will first disconnect. The driver is also requested to unbind and clean up any device state, before this procedure finally returns. This function must be called in a context that can sleep.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.